import java.util.*;
import java.lang.*;
import java.io.*;

class boilertest2{
     public static void main (String args[]) throws IOException
     {
     // Natural gas 
     // ch4  0.908
     // c2h6 0.059
     // c3h8 0.006
     // n2   0.009
     // co2  0.018
     String s1[]={"ch4","c2h6","c3h8","n2","co2"};
     double n1[]={0.908,0.059,0.006,0.000,0.018};
     double Tfuel=298.0;//K
     double Tair=298.0;//K
     double Texhaust=298.0;//K
     double Q=0;//adyabatic combustion
     double excess_air=5.5;
     boolean Higher_heating_value=true;//üst ısıl değer üzerinden analiz
     boiler k1=new boiler(s1,n1,Tfuel,Tair,Texhaust,excess_air,Higher_heating_value);
     Texhaust=k1.Ti(s1,n1,Tfuel,Tair,excess_air,Higher_heating_value,Q);
     System.out.println("Texhaust="+Texhaust+"\nQ="+k1.Qi()+"\nQmax="+k1.Qmax()+"\neff = "+k1.efficiency());
     //flow rate for 1 KW heat : 
     System.out.println("V NM/h="+k1.V_NM3_h(1.0)); 
     System.out.println(k1.fuel()); 
     System.out.println(k1.air()); 
     System.out.println(k1.exhaust());  
     }
}
